/**
 * Clone a 2D array.
 * @param array - The array to be cloned.
 */
export declare function clone<T>(array: T[][]): T[][];
/**
 * Fill a whole array with a same value, and return it back.
 * @param array The array to be filled and returned.
 * @param value The value used to fill the array.
 */
export declare function fill<T>(array: T[], value: T): T[];
/**
 * Fill an array of a specified size with a same value.
 * @param value The value used to fill an array.
 * @param count Number of times the value is repeated.
 */
export declare function repeat<T>(value: T, count: number): T[];
