"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Clone a 2D array.
 * @param array - The array to be cloned.
 */
function clone(array) {
    let rows = array.length;
    let res = Array(rows);
    for (let r = 0; r < rows; r++)
        res[r] = array[r].slice();
    return res;
}
exports.clone = clone;
/**
 * Fill a whole array with a same value, and return it back.
 * @param array The array to be filled and returned.
 * @param value The value used to fill the array.
 */
function fill(array, value) {
    for (var i = 0; i < array.length; i++)
        array[i] = value;
    return array;
}
exports.fill = fill;
/**
 * Fill an array of a specified size with a same value.
 * @param value The value used to fill an array.
 * @param count Number of times the value is repeated.
 */
function repeat(value, count) {
    var res = Array(count);
    for (var i = 0; i < count; i++)
        res[i] = value;
    return res;
}
exports.repeat = repeat;
